========= nautilus-sendto 1.0.1 =========

2008-07-23  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 1.0.1

2008-07-20  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c (nautilus_sendto_init):
	Make sure ampersands are escaped even if we're passed a URI
	(Closes: #543327)

2008-07-03  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/evolution.c (contacts_selected_cb):
	When selecting a contact, use the identifier as the email if it's
	provided, otherwise we'll always be selecting the default email
	address (Closes: #541309)

2008-06-12  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 1.0.0

2008-05-29  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/evolution.c (contacts_selected_cb): When a contact is
	selected, try getting the name from different fields, and don't use
	E_CONTACT_NAME_OR_ORG, as it could add a comma in the name, causing
	problems when sending e-mails. Should fix:
	https://bugzilla.redhat.com/show_bug.cgi?id=448880

2008-05-28  Bastien Nocera  <hadess@hadess.net>

	* pidgin_plugin/nautilus-sendto-plugin.c (force_load_once),
	(init_plugin): Patch from Stu Tomlinson <stu@nosnilmot.com> to force
	load the Pidgin plugin on startup (see:
	https://bugzilla.redhat.com/show_bug.cgi?id=242289)

2008-05-27  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/evolution.c (error_cb), (get_contacts_widget):
	A bit of debugging, print any errors we might get from the
	contact entry

2008-05-27  Bastien Nocera  <hadess@hadess.net>

	* pidgin_plugin/nautilus-sendto-plugin.c: Revert making the plugin
	invisible, it apparently makes it impossible to disable/enable the 
	plugin, even though it should be enabled by default...
	https://bugzilla.redhat.com/show_bug.cgi?id=242289#c7

2008-04-24  Bastien Nocera  <hadess@hadess.net>

	* gaim_plugin/nautilus-sendto-plugin.c:
	* pidgin_plugin/nautilus-sendto-plugin.c:
	* src/nautilus-sendto-command.c:
	* src/nautilus-sendto-plugin.h:
	* src/plugins/balsa.c:
	* src/plugins/bluetooth.c:
	* src/plugins/e-contact-entry.c:
	* src/plugins/e-contact-entry.h:
	* src/plugins/evolution.c:
	* src/plugins/gaim.c:
	* src/plugins/gajim.c:
	* src/plugins/pidgin.c:
	* src/plugins/sylpheed-claws.c:
	* src/plugins/thunderbird.c: Update FSF address

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c (pack_files), (send_button_cb),
	(toggle_pack_check), (pack_entry_changed_cb),
	(nautilus_sendto_create_ui): Make the send button unsensitive when
	packing in a file is enabled and there's no filename for the archive,
	remove a really crappy string and a useful dialogue (Closes: #521999)

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-nste.c (nautilus_nste_get_file_items):
	s/Send to.../Send To.../ (Closes: #529281)
	Note that this doesn't require new translations, as there's already a
	"Send To..." translated

2008-04-21  Bastien Nocera  <hadess@hadess.net>

	* pidgin_plugin/nautilus-sendto-plugin.c (plugin_unload):
	Make the plugin invisible, so that it's loaded automatically on
	startup, and users don't need to enable it by hand
	https://bugzilla.redhat.com/show_bug.cgi?id=242289

2008-04-21  Bastien Nocera  <hadess@hadess.net>

	* pidgin_plugin/nautilus-sendto-plugin.c (save_online_buddies),
	(plugin_load), (plugin_unload): Register to the changes in the
	buddy list instead of loading it every 5 seconds (Closes: #490551)

2008-04-08  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c (option_changed),
	(set_contact_widgets): Fix the mnemonic for "Send to"
	not working (Closes: #526258)

2008-03-27  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.14.0

2008-03-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Allow distributors to override the
	default thunderbird binary name with
	--with-thunderbird-name=XXX, enable the thunderbird
	plugin by default

	* src/nautilus-sendto-command.c (send_button_cb):
	Fix a memory leak

	* src/plugins/thunderbird.c (init), (send_files):
	Attachments are passed as URIs, so quote them as
	expected

	(Closes: #356258)

2008-03-26  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/e-contact-entry.c: Update from SVN and
	fix a warning
	* src/plugins/evolution.c (send_files):
	Quote the e-mail address we pass to evolution, as some
	people might use "Surname, Name <address>" instead of
	just "address"
	(Closes: https://bugzilla.redhat.com/show_bug.cgi?id=438695)

2008-03-01  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto.glade: Patch from
	Michael Monreal <michael.monreal@gmx.net>
	to fix the application icon not being set
	(Closes: #519105)

2008-03-01  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Some cleanups

	* src/plugins/balsa.c:
	* src/plugins/bluetooth.c:
	* src/plugins/evolution.c:
	* src/plugins/sylpheed-claws.c:
	* src/plugins/thunderbird.c: Change the stock mail
	icon to be "emblem-mail", and the bluetooth one to
	"bluetooth" (Closes: #519094)

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: release 0.13.2

2008-02-01  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (init): Fix crash when sending
	files via Bluetooth due to a shadowing declaration,
	spotted by Kjell Braden <fnord@pentabarf.de> (Closes: #512254)

2008-01-28  Marco Barisione  <marco@barisione.org>

	* src/nautilus-sendto.glade:
	* src/nautilus-nste.c: (nautilus_nste_get_file_items): use the
	document-send icon in the dialog and in the nautilus menu

2008-01-21  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: release 0.13.1

2008-01-21  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-nste.c: Remove gnome-vfs headers, they're unused

2008-01-20  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: release 0.13

2008-01-20  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (nautilus_sendto_plugin_init):
	Try loading files from the uninstalled path when running in the
	source tree
	* src/plugins/evolution.c: (contacts_selected_cb),
	(state_change_cb), (send_files), (destroy): Save the contact name
	when it's selected, and use it in the command-line so it appears
	in the evolution To: line (Closes: #378108)

2008-01-20  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/pidgin.c: (add_pidgin_contacts_to_model):
	Add support for Bonjour local contacts (Closes: #506818)

2008-01-20  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto.glade: Fix conflicting mnemonics
	(Closes: #500409)

2008-01-20  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/Makefile.am: Fix installation of the nautilus extension
	in the right directory for the gio version (Closes: #509969)

2008-01-18  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (init), (send_files):
	Allow using bluetooth-sendto as well as gnome-obex-sendto

2007-12-29  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/pidgin.c: (add_pidgin_contacts_to_model):
	Patch from drago01@gmail.com to find ICQ users in the
	Pidgin plugin (Closes: #506176)

2007-12-29  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/update-from-egg.sh:
	* src/plugins/e-contact-entry.[ch]:
	* src/plugins/econtactentry-marshal.list: Added files
	from contact-lookup-applet

	* configure.in:
	* src/plugins/Makefile.am:
	* src/plugins/evolution.c: (init), (contacts_selected_cb),
	(state_change_cb), (add_sources), (sources_changed_cb),
	(setup_source_changes), (get_contacts_widget), (send_files),
	(destroy): remove loads of Evolution code and use EContactEntry
	from contact-lookup-applet instead, removing a lot of code from
	our maintainership

2007-11-19  Bastien Nocera  <hadess@hadess.net>

	* pidgin_plugin/nautilus-sendto-plugin.c: (save_online_buddies):
	Patch from Fred Hsueh <fred.hsueh@gmail.com> to fix loading the
	Pidgin plugin (Closes: #466427)

2007-10-07  Bastien Nocera  <hadess@hadess.net>

	* MAINTAINERS: upd
	* src/plugins/pidgin.c: really add src/plugins/pidgin.c

2007-08-22  Sebastien Bacher  <seb128@ubuntu.com>

	* src/nautilus-sendto.glade: doesn't translate the formats list
	(Closes: #441458)

2007-08-18  Marco Barisione  <marco@barisione.org>

	* src/nautilus-sendto-command.c: (send_button_cb): status_label_clear
	was called passing the status label instead of the NS_ui causing a
	segmentation fault (Closes: #467716)

	* src/nautilus-sendto-command.c: (status_label_clear),
	(send_button_cb): set the timeout ID to 0 in status_label_clear to
	avoid useless duplicate calls

2007-08-14  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/evolution.c: (add_evolution_contacts_to_model):
	Patch from Oystein Gisnas <oystein@gisnas.net> to avoid
	crashes when an addressbook sources isn't supported
	(Closes: #433084)

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: release 0.12

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/thunderbird.c: (send_files): gtk_entry_get_text
	might return NULL, so don't crash when the person didn't enter
	any e-mail address (Closes: #384433)

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* nautilus-sendto.1: Fix application name, as spotted by
	Oystein Gisnas (Closes: #348816)

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (init): Patch from Matthias Clasen
	<mclasen@redhat.com> to avoid crashing when DefaultAdapter()
	fails (Closes: #437257)

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* gaim_plugin/nautilus-sendto-plugin.c: (save_online_buddies):
	Patch from Sebastien Bacher <seb128@debian.org> to avoid GAIM
	not being able to startup on a read-only filesystem (Closes: #431158)
	* pidgin_plugin/nautilus-sendto-plugin.c: (save_online_buddies):
	Apply a similar patch for the Pidgin plugin

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* configure.in: release 0.11
	* NEWS: upd

2007-05-27  Oystein Gisnas  <oystein@gisnas.net>

	* configure.in:
	* src/plugins/Makefile.am:
	* src/plugins/pidgin.c:
	* pidgin_plugin/Makefile.am:
	* pidgin_plugin/nautilus-sendto-plugin.c:
	* Makefile.am:
	Add support for Pidgin. Rename buddy list file to
	pidgin_buddies_online to allow coexistence with Gaim.

2007-06-21  Christian Persch  <chpe@gnome.org>

	* src/nautilus-sendto-command.c: (status_label_clear),
	(send_button_cb), (set_contact_widgets),
	(nautilus_sendto_create_ui):
	* src/nautilus-sendto.glade: HIG love. Bug #428195.

2007-06-21  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* po/LINGUAS:
	* src/Makefile.am:
	* src/plugins/Makefile.am: Use po/LINGUAS, and don't define
	directories in configure. Bug #428198.

2007-05-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (remote_device_found):
	DiscoverDevices will resolve names for us, so no need
	to call GetRemoteName, just listen to the RemoteNameUpdated
	signal

2007-03-28  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (start_device_scanning):
	Fix stupid typo, otherwise DiscoverDevices might not work

2007-03-12  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth-marshal.list: Add the missing
	bluetooth-marshal.list to SVN, duh!

2007-03-11  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: version 0.10 released

2007-03-11  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am: add -no-undefined to avoid undefined
	symbols on load
	* src/nautilus-nste.c: (nautilus_nste_instance_init),
	(nautilus_nste_get_type), (nautilus_nste_register_type):
	Revert G_DEFINE_TYPE cleanup, it breaks loading the
	extension (Closes: #416738)

2007-03-10  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/gajim.c:
	* src/plugins/thunderbird.c: (send_files): Fix compilation

2007-03-09  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/gaim.c: (add_gaim_contacts_to_model): fix some
	compilation warnings
	* NEWS: upd
	* configure.in: version 0.9 released

2007-03-09  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/bluetooth.c: (init), (start_device_scanning),
	(get_contacts_widget): remove gnome-bluetooth dependency, we
	don't need a spinner for that (Closes: #415414)

2007-03-09  Bastien Nocera  <hadess@hadess.net>

	* configure.in: require glib 2.6.0 for Goption, split
	nautilus-sendto (the binary) and the nautilus extension
	requirements

	* src/Makefile.am: don't link the nautilus-sendto binary to
	all the same library nautilus extensions need

	* src/nautilus-nste.c: (nautilus_nste_init): fix up indentation,
	use G_DEFINE_TYPE to remove some gunky code

	* src/nautilus-sendto-command.c: (pack_files),
	(set_contact_widgets), (set_model_for_options_combobox),
	(nautilus_sendto_plugin_init), (nautilus_sendto_init), (main):
	Use GOption (Closes: #415412), remove libgnome dependency,
	don't crash without any plugins and show an error message

	* src/nautilus-sendto-plugin.h: remove gnome dependency
	* src/nautilus-sendto.glade: ditto
	* src/plugins/balsa.c:
	* src/plugins/bluetooth.c: (init):
	* src/plugins/evolution.c:
	* src/plugins/gaim.c:
	* src/plugins/gajim.c: (_foreach_contact),
	(_handle_dbus_exception), (_get_contacts), (init), (send_files):
	* src/plugins/sylpheed-claws.c:
	* src/plugins/thunderbird.c: fix i18n, and headers inclusion,
	don't show an error on the command-line when no Bluetooth
	adapters are present

2007-03-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/Makefile.am:
	* src/plugins/Makefile.am: use gnome-common macros to get
	more warnings whilst compiling

	* src/nautilus-nste.c: (sendto_callback),
	(nautilus_nste_get_file_items):
	* src/nautilus-sendto-command.c: (pack_files), (send_button_cb),
	(nautilus_sendto_plugin_init):
	* src/nautilus-sendto-plugin.h:
	* src/plugins/bluetooth.c: (add_phone_to_list),
	(get_contacts_widget), (send_files):
	* src/plugins/evolution.c: (send_files):
	* src/plugins/sylpheed-claws.c: (send_files):
	Fix plenty of warnings (Closes: #349045)

2007-03-06  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-nste.c: (nautilus_nste_get_file_items):
	Patch from Alberto Ruiz <aruiz@gnome.org> to remove duplicate code
	(Closes: #395848)

2007-03-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: require dbus-glib for the bluetooth plugin
	* src/nautilus-sendto-plugin.h:
	* src/nautilus-sendto-command.c: (status_label_clear),
	(send_button_cb), (set_model_for_options_combobox),
	(nautilus_sendto_create_ui):
	Add support for the plugins validating the destination,
	show error message when validating the destination fails,
	remove use of nautilus-sendto-force.glade,
	fix problems with extra contact widgets showing up when
	the default plugin isn't the first one in the list

	* src/plugins/balsa.c:
	* src/plugins/evolution.c:
	* src/plugins/gajim.c:
	* src/plugins/sylpheed-claws.c:
	* src/plugins/thunderbird.c:
	Modify files for the validation function

	* src/Makefile.am: remove nautilus-sendto-force.glade
	* src/nautilus-sendto-force.glade: Removed as per above

	* src/nautilus-sendto.glade: some HIG changes

	* src/plugins/Makefile.am:
	* src/plugins/bluetooth.c: use BlueZ over D-Bus to discover
	known devices (Closes: #380408, #341193)

	* src/plugins/gaim.c: (init): fix memory leak

2007-02-12  Matic Zgur <mr.zgur@gmail.com>

	* configure.in: Added 'sl' to ALL_LINGUAS.

2007-01-03  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/sylpheed-claws.c: (get_claws_command), (init),
	(send_files): Patch from Colin Leroy <colin@colino.net>
	to refactor the binary name search for the Sylpheed Claws
	plugin (Closes: #386767)

2006-12-11  Ales Nyakhaychyk  <nab@mail.by>

	* configure.in: Add 'be' in ALL_LINGUAS

2006-10-11  Roberto Majadas <telemaco@openshine.com>

	* Changes in my email adress
	* updated version to nautilus-sendto (0.8)

2006-10-07  Roberto Majadas  <telemaco@openshine.com>

	* gaim_plugin/nautilus-sendto-plugin.c: Fix build error in gaim2
	* src/plugins/evolution.c: Added patch that close "Bug 348941 Evolution Autocompletion not offered for all Address Books" . Thanks ?ystein Gisn?s, Karsten Br?ckelmann
	* nautilus-sendto.1: Added man-page . Thanks ?ystein Gisn?s

2006-10-02  Priit Laes  <plaes@cvs.gnome.org>

	* configure.in: Added 'et' in ALL_LINGUAS

2006-09-11  Pema Geyleg  <pgeyleg@gmail.com>

	* configure.in: Added 'dz' in ALL_LINGUAS

2006-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/sylpheed-claws.c: (send_files): Make sure we pass
	real URIs to the sylpheed plugin, patch from Colin Leroy
	<colin@colino.net> (Closes: #347777)

2006-08-21  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd

2006-08-21  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in:
	* nst.schemas.in:
	* src/nautilus-sendto-command.c: (pack_files), (send_button_cb),
	(set_model_for_options_combobox), (nautilus_sendto_create_ui),
	(main):
	* src/nautilus-sendto-plugin.h:
	* src/plugins/balsa.c:
	* src/plugins/bluetooth.c:
	* src/plugins/evolution.c:
	* src/plugins/gaim.c:
	* src/plugins/gajim.c:
	* src/plugins/sylpheed-claws.c:
	* src/plugins/thunderbird.c:
	Patch from Colin Leroy <colin@colino.net> to remember the last
	selected medium used to send files, as well as the packing preference
	used (Closes: #337559)

2006-07-17  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (pack_files): Patch from Colin
	Leroy <colin@colino.net> to pass a URI to the plugin when sending
	an archive instead of a filename (Closes: #347392)

2006-07-17  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (send_button_cb): Patch from Colin
	Leroy <colin@colino.net> to fix a few leaks (Closes: #347391)

2006-07-17  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (get_filename_from_list),
	(nautilus_sendto_create_ui): Patch from Colin Leroy <colin@colino.net>
	to try a good guess at an archive name depending on the filenames
	to be sent (Closes: #337558)

2006-07-12  Roberto Majadas  <telemaco@openshine.com>

	* src/plugins/gajim.c: Added the patch of  Dimitur Kiro , BUG #346750 and BUG #346862
	

2006-06-30  Francisco Javier F. Serrador  <serrador@openshine.com>

	* src/plugins/gajim.c (send_files): Corrected some typos

2006-06-24  Roberto Majadas  <telemaco@openshine.com>

	* autogen.sh: added version 1.9 of automake
	* src/plugins/gajim.c: Added support full support for gajim. Thanks Dimitur Kirov
	* src/plugins/balsa.c: Added initial support for balsa. Thanks Peter Enseleit
	* src/plugins/sylpheed-claws.c: Added full support for sylpheed-claws . Thanks Peter Enseleit
	* src/plugins/thunderbird.c: Added initial support for thunderbird.
	* src/configure.in : Added plugins
	* src/plugins/Makefile.am : Added plugins 

2006-06-05  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bluetooth.c: (init): remove useless debug print,
	check that "gnome-obex-send" is available when initialising the
	Bluetooth plugin, fix C99 declaration

2006-04-18  Kjartan Maraas <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-16  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: mark a few more functions as static

2006-04-16  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (pack_files),
	(send_if_no_pack_cb), (set_contact_widgets),
	(nautilus_sendto_create_ui), (nautilus_sendto_plugin_init),
	(nautilus_sendto_init):
	Pass filenames not URIs to file-roller, mark a couple of function as
	static, focus the filename widget when activating the recipient entry
	if "Send packed in" is enabled (Closes: #330137), don't crash on
	startup when a module can't be loaded, fix sending filenames without
	ampersands

2006-04-12  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (escape_ampersands),
	(nautilus_sendto_init): escape ampersands in filenames passed on the
	command-line

2006-04-07  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-nste.c: (sendto_callback):
	* src/nautilus-sendto-command.c: (nautilus_sendto_plugin_init),
	(nautilus_sendto_init), (main):
	* src/plugins/bluetooth.c: (send_files):
	* src/plugins/evolution.c: (send_files):
	* src/plugins/gaim.c: (send_files):
	Show the help when started without any arguments, or no filenames,
	Pass URIs from the nautilus plugin to nautilus-sendto, pass URIs to
	the plugins, fixes sending and receiving files with special characters
	(Closes: #318428)
	Check that filenames passed are not absolute before prepending
	the current path, or the "default_dir" (Closes: #335255)

2006-04-06  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-nste.c: (nautilus_nste_get_file_items):
	don't create a menu item if nautilus didn't give us any files
	(Closes: #323703)

2006-04-06  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (nautilus_sendto_create_ui): Patch
	from Ruben Vermeersch <ruben@lambda1.be> to send files when enter is
	pressed in the archive name entry (Closes: #330137)

2006-04-06  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-sendto-command.c: (nautilus_sendto_plugin_init):
	Use g_str_has_suffix instead of our home-made str_has_suffix, and 
	use g_dir_open instead of opendir
	* src/plugins/Makefile.am: namespace the plugins so as to avoid
	clashes with system libraries, confusing the hell out of libtool
	(libbluetooth.so is the generated library, as well as the system
	 bluetooth library)
	* src/plugins/bluetooth.c: (init): use GError properly
	* src/plugins/evolution.c: (add_evolution_contacts_to_model): fix
	a compilation warning
	* src/plugins/gaim.c:
	* src/nautilus-sendto-plugin.h:
	Update the plugin struct to allow plugins not to be unloaded, fixes
	the crashes on startup when the bluetooth plugin fails to initialise
	(Closes: #334587)

2006-04-04  Gora Mohanty  <gmohanty@cvs.gnome.org>

        * configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-02-11  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-01-25  Nickolay V. Shmyrev <nshmyrev@yandex.ru>

	* configure.in: Add ru to ALL_LINGUAS.

2005-12-28  Roberto Majadas  <telemaco@gnome.org>

	* src/nautilus-sendto[-force].glade: Some changes in UI

2005-12-27  Roberto Majadas  <telemaco@gnome.org>

	* src/plugins/evolution.c: Fix (I think so) the nautilus-sendto crash. Thanks Peter Johanson. [Bug 317081]
	
	* src/plugins/bluetooth.c: Added ubuntu bluetooth patch to nautilus sendto [Bug 324278]

	* src/plugins/Makefile.am: Now nautilus sendto compile evolution plugin if evolution is available

	* configure.in: Force the dependencies to gnome2.13-14

	* src/nautilus-sendto-command.c: [Bug 321063 Crash if no plugins] Thanks Alex Larsson

2005-12-12  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Added it to ALL_LINGUAS

2005-10-12  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-08-20  Yair Hershkovitz  <yairhr@gmail.com>

	* configure.in: Added "he" to ALL_LINGUAS.

2005-08-04  Maxim Dziumanenko <mvd@mylinux.ua>

	* configure.in: Added 'uk' to ALL_LINGUAS.	

2005-08-2  Roberto Majadas <telemaco@gnome.org>

	* New version of nautilus-sendto (0.4)

2005-07-31  Roberto Majadas <telemaco@gnome.org>

	* Add a patch from Ruben Vermeersch for mayor use of glib instead libc
	THANKS RUBEN !! :)

2005-06-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-06-12  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* src/nautilus-sendto-command.c : Fix a bug with the contacts
	widgets

2005-06-12  Bastien Nocera  <hadess@hadess.net>

	* gaim_plugin/.cvsignore:
	* src/.cvsignore:
	* src/plugins/.cvsignore: spring cleaning

2005-06-12  Bastien Nocera  <hadess@hadess.net>

	* AUTHORS: add myself for the bluetooth plugin

2005-06-12  Bastien Nocera  <hadess@hadess.net>

	Reviewed by: Roberto Majadas  <roberto.majadas@hispalinux.es>

	* src/nautilus-sendto-command.c: (nautilus_sendto_init): don't try
	to copy an empty file if --default-dir isn't passed as an argument

	* configure.in:
	* src/plugins/Makefile.am:
	* src/plugins/bluetooth.c:

	Check for gnome-bluetooth, and add a Bluetooth (OBEX) plugin,
	it replaces gnome-bluetooth's nautilus extension

	* src/plugins/evolution.c: (send_files): spurious white spaces
	* src/plugins/gaim.c: make a private function as static

2005-05-05  Josep Puigdemont  <josep.puigdemont@gmail.com>

	* configure.in: Added "ca" to ALL_LINGUAS.

2005-04-26  Artur Flinta  <aflinta@cvs.gnome.org>

        * configure.in: Added "pl" to ALL_LINGUAS.

2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-05  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "mk" "nb" "no" "vi" "zh_TW" to ALL_LINGUAS.

2005-02-19  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS.

2005-02-13  David Lodge <dave@cirt.net>

	* configure.in: Added "en_GB" to ALL_LINGUAS.

2005-01-27  Roberto Majadas  <roberto.majadas@hispalinux.es>  

	* gaim_plugin/nautilus-sendto-plugin.c
	  src/nautilus-sendto-command.c
	  src/plugins/evolution.c
	  src/plugins/gaim.c : Some void's added , thanks Gary Ekker.

2005-01-17  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* configure.in 
	  src/plugins/Makefile.am : Add support for libebook for diferent versions 

2005-01-17  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* src/plugins/evolution.c (send_files): Erase error dialog. Now if you don't write
	email address , nst open evolution without address

2005-01-16  Roberto Majadas <roberto.majadas@hispalinux.es>

	* configure.in : add dependecy with libnautilus-extension
	* src/nautilus-nste.[ch]
	  src/nautilus-sendto-module.c : new nautilus extension
	* src/nautilus-sendto[-force].glade : HIG
	* src/libmain.c
	  src/nautilus-sendto-component.[hc]
	  src/Nautilus_Sendto_Component.server.in.in : remove old stuff 

2005-01-03  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2004-12-15  Kostas Papadimas <pkst@gnome.org>

	* configure.in: Added "el" (Greek) to ALL_LINGUAS.

2004-12-13  I?aki Larra?aga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-12-12  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* configure.in Added Danish (da) to ALL_LINGUAS.

2004-12-11  Žygimantas Beručka  <uid0@akl.lt>

	* configure.in: Added Lithuanian (lt) to ALL_LINGUAS.

2004-12-10  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-12-10  Duarte Loreto  <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2004-12-08  Tommi Vainikainen  <thv@iki.fi>

	* src/nautilus-sendto.glade, src/nautilus-sendto-force.glade:
	Fixed typo (Sendo To... -> Send To...)
	* configure.in (ALL_LINGUAS): Added fi.

2004-12-07  Amanpreet Singh Alam  <amanpreetalam@yahoo.com

	*configure.on: Add pa to ALL_LINGUAS

2004-12-05  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2004-11-27  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added ko to ALL_LINGUAS.

2004-11-15  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2004-11-14  Hendrik Richter  <hendrik@gnome-de.org>

	* configure.in: Added de to ALL_LINGUAS.

2004-11-09  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-11-09  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* Makefile.am configure.in 
	gaim_plugin/Makefile.am 
	src/plugins/Makefile.am : Added gaim detection in compile time
	* src/plugins/evolution.c : Added gettext support
	* src/nautilus-sendto-command.c : Fix some bugs in the errors' dialogs

2004-11-08  Takeshi AIHANA <aihana@gnome.gr.jp>

	* .cvsignore: Added to skip any files.
	* configure.in: Added Japanese 'ja' to ALL_LINGUAS.

2004-09-28  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* configure.in : Version : 0.2-1
	* gaim_plugin/nautilus-sendto-plugin.c : Changes in gaim1.0 api
	* src/plugins/evolution.c : Added support for evolution-2.0
	
2004-09-27  Roberto Majadas  <roberto.majadas@hispalinux.es>
	
	* configure.in : Version : 0.2
	
2004-08-22  Roberto Majadas  <roberto.majadas@hispalinux.es>

	* configure.in: Version : 0.1
	

